Summary: File comparison utilities
Name: hhl-target-diff
Version: 2.7
Release: %{_hhl_build_id}.3
Source: diff_%{version}.orig.tar.gz
Source1: diff.tmpl
Source2: diff-doc.tmpl
Patch0: diff_%{version}-25.diff.gz
License: GPL
Group: text
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%package -n hhl-%{_hhl_target_arch}-diff
Summary: File comparison utilities
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-diff
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%package -n hhl-%{_hhl_target_arch}-diff-doc
Summary: File comparison utilities
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-diff-doc
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

This package includes the documentation for diff.

%prep
%target_check
%setup -q -n diffutils-%{version}
%patch0 -p1

%build
%target_setup
autoconf
export CC="$CC -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE"
%target_configure

%make all | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1
cp debian/*.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1
%target_makeinstall | tee -a build.log
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/diff
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/diff-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-diff
%defattr(-,root,root)
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/diff

%files -n hhl-%{_hhl_target_arch}-diff-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc README LICENSE NEWS ChangeLog
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/diff-doc

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 21 2001 Charles Duffy <source@mvista.com>
- First cut
